# includeGroupAndSubgroups

@Incubating
abstract fun includeGroupAndSubgroups(groupPrefix: String)

Declares that an entire group and its subgroups should be searched for in this repository.

A subgroup is a group that starts with the given prefix and has a dot immediately after the prefix. For example, if the prefix is `org.gradle`, then `org.gradle` is matched as a group, and `org.gradle.foo` and `org.gradle.foo.bar` are matched as subgroups. `org.gradlefoo` is not matched as a subgroup.

#### Since

8.1

#### Parameters

groupPrefix

the group prefix to include